## netsend 0.0~svnr250

=== Makefile ===
# $Id: Makefile 229 2008-03-22 13:32:56Z hgndgtl $

ifeq ($(shell test \! -f Make.Rules || echo yes),yes)
		include Make.Rules
endif

TARGET = netsend
OBJECTS = analyze.o error.o file.o \
	getopt.o main.o net.o \
	proto_tipc.o proto_udp_recv.o \
	receive.o trans_common.o \
	ns_hdr.o xfuncs.o proto_tcp_trans.o \
	proto_udp_trans.o proto_udplite_trans.o \
	proto_udplite_recv.o proto_dccp_trans.o \
	proto_sctp_trans.o proto_tipc_trans.o

POD = netsend.pod
MAN = netsend.1

LIBS = -lm

# Inline workaround:
# max-inline-insns-single specified the maximum size
# of a function (counted in internal gcc instructions).
# Default: 300
CFLAGS += --param max-inline-insns-single=400

# XXX: add path configure
DESTDIR=/usr
BINDIR=/bin

all: config.h $(TARGET)

config.h: Make.Rules

Make.Rules: configure
	@if [ ! -f Make.Rules ] ; then                   \
	echo "No Make.Rules file present" ;              \
	echo "Hint: call ./configure script" ;           \
	echo "./configure --help for more information" ; \
  exit 1 ; fi

config.h: 
	@bash configure

$(TARGET): $(OBJECTS)
	$(CC) $(LIBS) $(CFLAGS) -o $(TARGET) $(OBJECTS)

%.o: %.c analyze.h error.h global.h xfuncs.h Makefile
	$(CC) $(CFLAGS) -c  $< -o $@

install: all
	install $(TARGET) $(DESTDIR)$(BINDIR)

uninstall:
	rm $(DESTDIR)$(BINDIR)/$(TARGET)

clean :
	@rm -rf $(TARGET) $(OBJECTS) core *~

distclean: clean
	@rm -f config.h Make.Rules $(MAN)

man: $(POD)
	pod2man -d $(TARGET) -c $(TARGET) $(POD) > $(MAN)

test: unit_test.sh $(TARGET)
	@./unit_test.sh

DISTNAME=$(TARGET)

release:
	@if [ ! -f Make.Rules ]; then echo $(MAKE) Make.Rules first ;exit 1 ;fi
	@if [ ! -L ../$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL) ]; then \
		echo generating ../$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL) link ; \
		ln -sf $(DISTNAME) ../$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL) ; \
		echo to ../$(DISTNAME) . ; fi
	@diff ../$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL)/Make.Rules Make.Rules
	$(MAKE) distclean
	cd .. ; tar zvfc $(DISTNAME)-$(MAJOR_REL).$(MINOR_REL).tar.gz \
		--exclude .svn  --exclude '.#*' \
		$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL)/*

=== debian/changelog ===
netsend (0.0~svnr250-2) unstable; urgency=medium

  * Maintain in Package Salvage team
    Closes: #1092792
  * Add myself to Uploaders
  * Point Homepage to wayback machine
    Closes: #1077781
  * d/rules: Its no sample
  * Add fake watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * Rely on pre-initialized dpkg-architecture variables.
  * No article in short description
  * d/copyright: DEP5
  * Lintian-overrides: Document usage of berlios.de
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 05 Oct 2025 11:01:32 +0200

netsend (0.0~svnr250-1.5) unstable; urgency=low

  * Non-maintainer upload. (Closes: #1011647)
  * Bump debhelper compat to 12 (Closes: #965747)
  * debian/rules: Use dh. (Closes: #999046)
  * Port to DebSrc3.0 (quilt).

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 13 Dec 2022 07:24:55 +0800

netsend (0.0~svnr250-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on linux-kernel-headers. (Closes: #959459)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 May 2020 14:47:59 +0100

netsend (0.0~svnr250-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs. (Closes: #925787)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 01 Mar 2020 20:48:09 +0000

netsend (0.0~svnr250-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD errors":
    apply patch from brian m. carlson that fixed the POD syntax.
    (Closes: #719504)

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Aug 2013 16:09:24 +0200

netsend (0.0~svnr250-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Include <limits.h> in proto_udplite_{recv,trans}.c to fix FTBFS under glibc
    2.9. (Closes: #518844)

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Aug 2009 19:10:10 +0100

netsend (0.0~svnr250-1) unstable; urgency=low

  * New upstream SVN revision:
    General code cleanup
    Manpage updates
    RW now default xmit method
    New support for TCP_MD5SIG

 -- Martin Peylo <debian@izac.de>  Sun, 06 Apr 2008 18:16:58 +0200

netsend (0.0~svnr220-1) unstable; urgency=low

  * New upstream SVN revision:
    Bug effectively disabling TIPC usage was fixed.
    Now falling back to other send methods if the default does not work with
    the specified protocol.

 -- Martin Peylo <debian@izac.de>  Thu, 13 Mar 2008 01:07:58 +0100

netsend (0.0~svnr218-1) unstable; urgency=low

  * New upstream SVN revision:
    UDPlite support was improved.
    Superfluous debug ouput for short option was removed.
    Internal protocol handling was restructured.

 -- Martin Peylo <debian@izac.de>  Tue, 19 Feb 2008 02:39:23 +0100

netsend (0.0~svnr206-1) unstable; urgency=low

  * Initial release (Closes: # 457384)

 -- Martin Peylo <debian@izac.de>  Sat, 22 Dec 2007 13:23:17 +0100

=== debian/control ===
Source: netsend
Standards-Version: 4.7.2
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders:
 Martin Peylo <debian@izac.de>,
 Andreas Tille <tille@debian.org>,
Section: net
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 linux-libc-dev,
 perl,
Vcs-Browser: https://salsa.debian.org/salvage-team/netsend
Vcs-Git: https://salsa.debian.org/salvage-team/netsend.git
Homepage: https://web.archive.org/web/20131208023823/http://netsend.berlios.de/

Package: netsend
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 tipcutils,
Description: speedy filetransfer and network diagnostic program
 Netsend transmits and receives files. It is highly configurable and offers
 the transport protocols TCP, DCCP, UDP, UDPLITE and SCTP using either
 IPv4 or IPv6 on the network layer. The cluster protocol TIPC is also
 supported.
 .
 The user is able to tweak various options of the Linux network stack
 to gain maximum performance. While this is not needed for trivial
 filetransfer, it is valuable for network protocol performance
 testing.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	# Actually --prefix is ignored so far (svn rev 206)
	./configure --prefix=$(CURDIR)/debian/netsend/usr

override_dh_auto_build:
	# This builds netsend
	dh_auto_build
	# This builds netsend.1
	dh_auto_build -- man

override_dh_auto_install:
	# Upstream make ignores the "configure --prefix="
	# setting so far (svn rev 203)
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/netsend/usr

override_dh_auto_test:
	# don't test the network commands.

=== debian/watch ===
version=4

# Upsteam vanished - seems latest trace is at https://web.archive.org/web/20090626060200/http://developer.berlios.de/projects/netsend
opts=dversionmangle=s/.*/0.No-Release/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
